<script lang="ts">
import Vue from 'vue';
import { SlpColumn, SlpContainer } from '../common/index.vue';

export default Vue.extend({
  name: 'SdlRelatedCard',
  components: {
    SlpColumn,
    SlpContainer,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer :class="{ 'slp-mb-64': !data.horizontal_rule }">
    <SlpRow v-if="data.header" class="slp-justify-content-center slp-mb-32">
      <SlpTypography tag="h3" variant="heading3" class="slp-mb-8"
        >{{ data.header }}
      </SlpTypography>
      <SlpTypography tag="p" variant="body1">{{ data.text }}</SlpTypography>
    </SlpRow>
    <SlpRow>
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title"
        :cols="data.column_size"
        class="slp-mb-16"
      >
        <div
          class="slp-card related"
          :data-aos="card.aos_animation"
          :data-aos-duration="card.aos_duration"
        >
          <img
            v-if="card.icon"
            class="related__icon"
            :src="card.icon.url"
            :alt="card.icon.alt + ' Icon'"
          />
          <SlpTypography tag="h4" variant="heading4" class="slp-mb-8 slp-mt-8"
            >{{ card.title }}
          </SlpTypography>
          <div
            v-if="card.text"
            class="slp-mb-16 slp-text-base"
            v-html="$md.render(card.text)"
          ></div>
          <SlpButton
            v-if="card.link"
            class="related__link"
            :href="card.link.href"
            :data-ga-name="card.link.data_ga_name"
            :data-ga-location="card.link.data_ga_location"
            >{{ card.link.text }}
          </SlpButton>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.related {
  display: flex;
  flex-direction: column;
  text-align: center;
  margin: $spacing-16;
  height: 100%;

  &__icon {
    height: 5rem;
  }

  &__link {
    margin-top: auto;
  }
}
</style>
